#
# Ansible managed config file, can be overriden at any time.
#
[ldap]
  enabled = true
  listen = "{{ __glauth_config_ldap_listen }}"

[ldaps]
  enabled = false

debug = true

[backend]
  datastore = "config"
  baseDN = "{{ glauth_base_dn }}"


{% for __current_group in glauth_groups %}
[[groups]]
  name = "{{ __current_group.gname }}"
  gidnumber = {{ __current_group.gid }}
{% if __current_group.children_gids is defined %}
  includegroups = {{ __current_group.children_gids }}
{% endif %}
{% endfor %}

{% for __current_user in glauth_users %}
[[users]]
  name = "{{ __current_user.uname }}"
  uidnumber = {{ __current_user.uid }}
  primarygroup = {{ __current_user.main_gid }}
  passsha256 = "{{ lookup('password', glauth_local_secrets_dir + '/' + __current_user.uname + ' chars=ascii_letters,digits length=16') | hash('sha256') }}"
{% if __current_user.other_gids is defined %}
  otherGroups = {{ __current_user.other_gids }}
{% endif %}
{% for __current_user_capability in ( __current_user.capabilities | default([]) ) %}
  [[users.capabilities]]
    action = "{{ __current_user_capability.action }}"
    object = "{{ __current_user_capability.object }}"
{% endfor %}

{% endfor %}

# ldapsearch -H ldap://localhost:389 -D cn=grafana,dc=viadirect,dc=wescale,dc=fr -w qaMIUt54PNelZtTg -x -b ou=grafana,dc=viadirect,dc=wescale,dc=fr "objectclass=posixAccount" 
